Bug 1312469 - Satellite 6 allows us to synchronize the high availability channels even though we have no subscriptions entitling high availability.
Satellite 6 allows us to synchronize the high availability channels even thou...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Activation Keys (Show other bugs)
6.1.7
x86_64 Linux
high Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks: Sat6_HA_Tracker
  Show dependency treegraph
 
Reported: 2016-02-26 14:01 EST by Rick Dixon
Modified: 2017-07-11 19:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Manifest from Andrew (155.39 KB, application/zip)
2016-05-19 13:17 EDT, Karl Abbott
no flags Details

  None (edit)
Description Rick Dixon 2016-02-26 14:01:54 EST
Description of problem:

The "Software Collections and Developer Toolset" subscription should allow access to High Availability repositories, but when passed via activation key it does not appear to attach to the registered host (RHEL 6.5), nor does it appear to be available in available subscriptions.


Version-Release number of selected component (if applicable):

Satellite 6.1.7 is the version I am witnessing this issue on; test host is RHEL 6.5


How reproducible:  Always.


Steps to Reproduce:

1. Create a content view including the "Red Hat Enterprise Linux High Availability for RHEL 6 Server - Extended Update Support RPMs x86_64 6Server" content

2. Create an activation key that passes "Software Collections and Developer Toolset" subscription, "Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)" subscription and with "Red Hat Enterprise Linux High Availability for RHEL 6 Server - Extended Update Support RPMs x86_64 6Server" content enabled

3. Register a host with the activation key

     
Actual results:

Host registers and consumes the RHEL 6 EUS subscription, but Developer Toolset subscription is not listed as available nor can the associated HA repositories be manually enabled.


Expected results:

Developer Toolset should be automatically consumed, or at the very least listed as available to manually attach with a pool id.


Additional info:

We have tried this with "auto-attach" both enabled and disabled on the activation key.
Comment 3 Karl Abbott 2016-03-03 10:32:39 EST
Ignore the intial filing comment.

What we have here is a case where this satellite allows the customer to sync the Red Hat Enterprise Linux 6 High Availability EUS channels and then allows them to be synced to the capsule, but they seem to have no subscription on their manifest that should allow them access to this content.

What information do you need from the customer (Andrew Schofield) to go forward here?

Thanks,
Karl
Comment 6 Karl Abbott 2016-05-19 13:16:51 EDT
Sorry for taking so long to get back to you on this. The current manifest that they have has temporary HA licenses in place, so we know that won't help here. Andrew was able to pull an older manifest, but here are his comments on that:

"Hi Karl - the best I can do is this manifest I think. This is the original 6.1 manifest we would have had in place when 6.1 came out. We wouldn't have added much to it, it would have change to reflect renewals and that's about it I think. YMMV"

Attaching this to the bz.
Comment 7 Karl Abbott 2016-05-19 13:17 EDT
Created attachment 1159567 [details]
Manifest from Andrew
Comment 8 Karl Abbott 2016-06-09 10:41:28 EDT
Bryan,

Anything we can get from this?

Karl
Comment 9 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 10 Bryan Kearney 2016-07-26 11:34:58 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.